summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
Diffstat (limited to 'audio')
-rw-r--r--audio/gimmix/README5
-rw-r--r--audio/gimmix/doinst.sh5
-rw-r--r--audio/gimmix/gimmix.SlackBuild67
-rw-r--r--audio/gimmix/gimmix.info8
-rw-r--r--audio/gimmix/slack-desc20
5 files changed, 105 insertions, 0 deletions
diff --git a/audio/gimmix/README b/audio/gimmix/README
new file mode 100644
index 0000000000..9b3ca1c648
--- /dev/null
+++ b/audio/gimmix/README
@@ -0,0 +1,5 @@
+Gimmix is a graphical music player daemon (MPD) client written in C
+using GTK+2. It's very simple and easy to use, yet offers many features
+to make your audio experience a pleasant one.
+
+libmpd (also available at SlackBuilds.org) is required to build this.
diff --git a/audio/gimmix/doinst.sh b/audio/gimmix/doinst.sh
new file mode 100644
index 0000000000..301399ba37
--- /dev/null
+++ b/audio/gimmix/doinst.sh
@@ -0,0 +1,5 @@
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/audio/gimmix/gimmix.SlackBuild b/audio/gimmix/gimmix.SlackBuild
new file mode 100644
index 0000000000..6615ac2a96
--- /dev/null
+++ b/audio/gimmix/gimmix.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for gimmix
+# Written by Kristaps Esterlins <esterlinsh[at]gmail.com>
+
+PRGNAM=gimmix
+VERSION=0.4.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING INSTALL NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/gimmix/gimmix.info b/audio/gimmix/gimmix.info
new file mode 100644
index 0000000000..ebcec135c8
--- /dev/null
+++ b/audio/gimmix/gimmix.info
@@ -0,0 +1,8 @@
+PRGNAM="gimmix"
+VERSION="0.4.3"
+HOMEPAGE="http://gimmix.berlios.de/"
+DOWNLOAD="http://download.berlios.de/gimmix/gimmix-0.4.3.tar.bz2"
+MD5SUM="4b5061ac9fd6a8f0b640219ac1400c91"
+MAINTAINER="Kristaps Esterlins"
+EMAIL="esterlins@gmail.com"
+APPROVED="rworkman"
diff --git a/audio/gimmix/slack-desc b/audio/gimmix/slack-desc
new file mode 100644
index 0000000000..487f0ed843
--- /dev/null
+++ b/audio/gimmix/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gimmix: gimmix (graphical frontend to music player daemon [mpd])
+gimmix:
+gimmix: Gimmix is a graphical music player daemon (MPD) client written
+gimmix: in C using GTK+2. It's very simple and easy to use, yet offers
+gimmix: many features to make your audio experience a pleasant one.
+gimmix:
+gimmix:
+gimmix:
+gimmix:
+gimmix:
+gimmix:
+